- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QScriptValueIterator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 41 of file qscriptvalueiterator.h.

`#include <qscriptvalueiterator.h>`

List of all members.

## Public Member Functions
| QScriptValueIterator (const QScriptValue &value)
| ~QScriptValueIterator ()
bool | hasNext () const
void | next ()
bool | hasPrevious () const
void | previous ()
QString | name () const
QScriptString | scriptName () const
QScriptValue | value () const
void | setValue (const QScriptValue &value)
QScriptValue::PropertyFlags | flags () const
void | remove ()
void | toFront ()
void | toBack ()
QScriptValueIterator & | operator= (QScriptValue &value)

## Constructor & Destructor Documentation

QScriptValueIterator | ( | const QScriptValue & | value | ) |

~QScriptValueIterator | ( |  | ) |

## Member Function Documentation

bool hasNext | ( |  | ) | const

Search for all occurrences

void next | ( |  | ) |

Search for all occurrences

bool hasPrevious | ( |  | ) | const

Search for all occurrences

void previous | ( |  | ) |

Search for all occurrences

QString name | ( |  | ) | const

Search for all occurrences

QScriptString scriptName | ( |  | ) | const

Search for all occurrences

QScriptValue value | ( |  | ) | const

Search for all occurrences

void setValue | ( | const QScriptValue & | value | ) |

Search for all occurrences

QScriptValue::PropertyFlags flags | ( |  | ) | const

Search for all occurrences

void remove | ( |  | ) |

Search for all occurrences

void toFront | ( |  | ) |

Search for all occurrences

void toBack | ( |  | ) |

Search for all occurrences

QScriptValueIterator& operator= | ( | QScriptValue & | value | ) |

The documentation for this class was generated from the following file:

- QtScript/qscriptvalueiterator.h

QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator
QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator QScriptValueIterator